package com.bonus.canteen.core.allocation.flow.model;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDateTime;

@TableName("flow_definition_maping")
@ApiModel("FlowDefinitionMaping对象")
public class FlowDefinitionMaping implements Serializable {
   private static final long serialVersionUID = 1L;
   @TableId(
      value = "id",
      type = IdType.AUTO
   )
   private Integer id;
   @ApiModelProperty("审核流类型")
   private String definitionType;
   @ApiModelProperty("审核流模板id")
   private Long definitionId;
   @ApiModelProperty("映射id")
   private Long mappingId;
   @ApiModelProperty("绑定名称")
   private String mappingName;
   @ApiModelProperty("映射id类型")
   private String mappingIdType;
   @ApiModelProperty("1 开启 2关闭")
   private Integer status;
   @ApiModelProperty("是否删除(1删除,2未删除)")
   private Integer delFlag;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   @TableField(
      fill = FieldFill.INSERT
   )
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   @TableField(
      fill = FieldFill.UPDATE
   )
   private LocalDateTime uptime;

   public Integer getId() {
      return this.id;
   }

   public String getDefinitionType() {
      return this.definitionType;
   }

   public Long getDefinitionId() {
      return this.definitionId;
   }

   public Long getMappingId() {
      return this.mappingId;
   }

   public String getMappingName() {
      return this.mappingName;
   }

   public String getMappingIdType() {
      return this.mappingIdType;
   }

   public Integer getStatus() {
      return this.status;
   }

   public Integer getDelFlag() {
      return this.delFlag;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public FlowDefinitionMaping setId(final Integer id) {
      this.id = id;
      return this;
   }

   public FlowDefinitionMaping setDefinitionType(final String definitionType) {
      this.definitionType = definitionType;
      return this;
   }

   public FlowDefinitionMaping setDefinitionId(final Long definitionId) {
      this.definitionId = definitionId;
      return this;
   }

   public FlowDefinitionMaping setMappingId(final Long mappingId) {
      this.mappingId = mappingId;
      return this;
   }

   public FlowDefinitionMaping setMappingName(final String mappingName) {
      this.mappingName = mappingName;
      return this;
   }

   public FlowDefinitionMaping setMappingIdType(final String mappingIdType) {
      this.mappingIdType = mappingIdType;
      return this;
   }

   public FlowDefinitionMaping setStatus(final Integer status) {
      this.status = status;
      return this;
   }

   public FlowDefinitionMaping setDelFlag(final Integer delFlag) {
      this.delFlag = delFlag;
      return this;
   }

   public FlowDefinitionMaping setCrby(final String crby) {
      this.crby = crby;
      return this;
   }

   public FlowDefinitionMaping setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
      return this;
   }

   public FlowDefinitionMaping setUpby(final String upby) {
      this.upby = upby;
      return this;
   }

   public FlowDefinitionMaping setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
      return this;
   }
}
